Bug 179091 - Multimedia keys bindings failure
Multimedia keys bindings failure
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Control Center Maintainer
David Lawrence
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-27 07:21 EST by Simon Goodall
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version: 2.17.90
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-19 10:08:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Simon Goodall 2006-01-27 07:21:53 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
I have a dell inspiron 8500 and have tried to use the gnome keyboard shortcuts to assign my multimedia keys (play,stop,prev,next). These appear to bind successfully however they do not always work as expected when using rhythmbox. I have also bound my volume keys (up/down/mute) sucessfully and they work without a problem.
Previously I have been using acme without a problem but decided to try the gnome shortcuts as acme is deprecated.

Using xev I have generated the following output;

Here I am pressing the play key which does not "play"

KeyPress event, serial 29, synthetic NO, window 0x3800001,
    root 0x103, subw 0x3800002, time 952960, (54,47), root:(74,156),
    state 0x0, keycode 162 (keysym 0x1008ff14, XF86AudioPlay), same_screen YES,
    XLookupString gives 0 bytes:
    XmbLookupString gives 0 bytes:
    XFilterEvent returns: False

KeyRelease event, serial 29, synthetic NO, window 0x3800001,
    root 0x103, subw 0x3800002, time 953068, (54,47), root:(74,156),
    state 0x0, keycode 162 (keysym 0x1008ff14, XF86AudioPlay), same_screen YES,
    XLookupString gives 0 bytes:


And here I press the volume down key which does work

FocusOut event, serial 29, synthetic NO, window 0x3800001,
    mode NotifyGrab, detail NotifyAncestor


FocusIn event, serial 29, synthetic NO, window 0x3800001,
    mode NotifyUngrab, detail NotifyAncestor

KeymapNotify event, serial 29, synthetic NO, window 0x0,
    keys:  2   0   0   0   0   0   0   0   0   0   0   0   0   0   0   0
           0   0   0   0   0   0   0   0   0   0   0   0   0   0   0   0


It shows completly different behaviour.

When binding the keys, they either come up as "XF86AudioPlay" or as a hex code 0xa2 but there is no apparent difference between either binding.
xmodmap shows keycode "162 = XF86AudioPlay"

As I said earlier I have been using ACME without any problems for several years across various fc versions. The gnome shortcuts method seems to almost randomly decide when to make these keys work, however I have especial trouble with the play key regardless of which function it is bound to.

Play/Pause = XF86AudioPlay = 0xa2
Stop       = XF86AudioStop = 0xa4
Next       = XF86AudioNext = 0x99
Prev       = XF86AudioPrev = 0x90


I guess this could also be a rhythmbox bug, but as acme works flawlessly, i am guessing that the gnome shortcuts is somehow broken.

Version-Release number of selected component (if applicable):
control-center-2.10.1-6

How reproducible:
Sometimes

Steps to Reproduce:
1. Bind the multimedia keys (play/pause/prev/next) on a dell I8500
2. Start rhythmbox
3. Press "play" and see if rhythmbox responds.

OR

Check output of button press with xev
  

Additional info:
Comment 1 Simon Goodall 2006-02-13 08:06:19 EST
Further testing has revealed that the play/pause etc bindings will not work
unless they are rebound each session (or at least each reboot).

What other apps use these keys.  That way I can confirm/deny where the problem lies
Comment 2 Simon Goodall 2006-02-28 04:50:39 EST
I have just been trying Synergy2, with a WinXP box as a server and my laptop
(with fedora) running as a client.
Pressing the multimedia keys on the keyboard connected to my XP box correctly
works with rhythmbox (play,pause,fwd,back,stop) regardless of whether the
keyboard shortcuts are enabled or not.

So this has got to be a keyboard shortcuts problem.

Any comments on this issue?
Comment 3 Christian Iseli 2007-01-19 19:40:27 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 4 Simon Goodall 2007-01-25 04:58:09 EST
This no longer appears to be a problem.
Comment 5 Simon Goodall 2007-02-06 08:43:13 EST
Shortly after closing this bug, my situation has reversed. My Volume keys no
longer work, however my play/fwd/prev keys are working normally. When closing
this bug all my keys were working as expected. Perhaps some other update soon
after broke things again, although none of the updates looked related.
Comment 6 Bastien Nocera 2007-02-19 10:08:16 EST
The multimedia keys were in quite a broken state for a while, but this got
sorted out in control-center 2.17.90 and newer which are now in Rawhide.

Note You need to log in before you can comment on or make changes to this bug.